﻿@inject IViewLocalizer Localizer
@using Microsoft.AspNetCore.Mvc.Localization
@model IS4SSO.STS.Identity.ViewModels.Manage.ChangePasswordViewModel
@{
    ViewData["Title"] = Localizer["Title"];
}

<h4>@ViewData["Title"]</h4>

@await Html.PartialAsync("_ValidationSummary")

@await Html.PartialAsync("_StatusMessage", Model.StatusMessage)

<div class="row">
    <div class="col-md-6">
        <form method="post">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="OldPassword">@Localizer["OldPassword"]</label>
                <input asp-for="OldPassword" class="form-control" />
                <span asp-validation-for="OldPassword" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NewPassword">@Localizer["NewPassword"]</label>
                <input asp-for="NewPassword" class="form-control" />
                <span asp-validation-for="NewPassword" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ConfirmPassword">@Localizer["ConfirmPassword"]</label>
                <input asp-for="ConfirmPassword" class="form-control" />
                <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
            </div>
            <button type="submit" class="btn btn-primary">@Localizer["Update"]</button>
        </form>
    </div>
</div>
